const express = require('express');
const router = express.Router();

const PossibleDate = require('../models/possibleDateModel');

router.post('/', async (req, res) => {
	const data = { ...req.body };

	try {
		const [possibleDate] = await PossibleDate.addPossibleDate(data);
		res.status(201).json(possibleDate);
	} catch (error) {
		res.status(500).json({
			message: 'Failed to add a new possible date.',
			error,
		});
	}
});

router.delete('/:id', async (req, res) => {
	const id = req.params.id;

	try {
		const possibleDate = await PossibleDate.deletePossibleDate(id);
		res.status(200).json({
			message: `Possible date with id ${id} successfully deleted.`,
		});
	} catch (error) {
		res.status(500).json({
			message: `Failed to delete possible date with id ${id}.`,
			error,
		});
	}
});

module.exports = router;
