exports.up = (knex) => {
	return knex.schema.createTable('account', (table) => {
		table.increments('id').primary();
		table.string('username').notNullable();
		table.string('email').notNullable().unique();
		table.string('password').notNullable();
		table.string('timezone');
		table.time('earliest_time');
		table.time('latest_time');
		table.timestamps(true, true);
	});
};

exports.down = (knex) => {
	return knex.schema.dropTable('account');
};
